<?php

/**
 * @file
 * Helpers for the aframe module.
 */

/**
 * Function to get the different versions of the aframe library.
 */
function aframe_scan_library_versions() {
  $aframeVersions = [];
  $librariesPath  = DRUPAL_ROOT . base_path() . 'libraries/aframe/dist/';
  $handle = @opendir($librariesPath) or \Drupal::logger('aframe')->notice("Unable to open $librariesPath");
  while ($entry = @readdir($handle)) {
    $matches = [];
    if(is_file($librariesPath . $entry) && preg_match('/^aframe-v(.*)\.min\.js$/i', $entry, $matches)) {
      $aframeVersions[$matches[1]] = base_path() . 'libraries/aframe/dist/' . $entry;
    }
  }
  closedir($handle);

  //Sort by version.
  krsort($aframeVersions);

  return $aframeVersions;
}
